## opencpn-plugin-plots 2.2.4

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      bdbcat aka. dsr (Dave Register)
## Copyright:
## License:     wxWidgets License
##---------------------------------------------------------------------------


# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
# This should be 2.8.0 to have FindGTK2 module

PROJECT(plots_pi)
SET(PACKAGE_NAME plots_pi)
SET(VERBOSE_NAME Plots)
SET(TITLE_NAME Plots)
SET(CPACK_PACKAGE_CONTACT "Sean D'Epagnier")

INCLUDE("cmake/PluginConfigure.cmake")

SET(SRC_PLOTS
            src/plots_pi.cpp
            src/PlotsDialog.cpp
            src/PreferencesDialog.cpp
            src/PlotConfigurationDialog.cpp
            src/AboutDialog.cpp
            src/History.cpp
            src/Plot.cpp
            src/PlotsUI.cpp
            src/icons.cpp
	)

INCLUDE("cmake/PluginNMEA.cmake")

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_PLOTS} ${SRC_NMEA0183})


INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-plots (2.2.4-0~mx17+3) mx; urgency=medium

  * Lowered opencpn depends to 4.8.2

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Mon, 19 Aug 2019 14:07:07 -0700

opencpn-plugin-plots (2.2.4-0~mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 13:12:22 -0700

opencpn-plugin-plots (2.2.4-0~mx19+1) mx; urgency=medium

  * Rebuild for Mx-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 08:39:26 -0700

opencpn-plugin-plots (2.2.4-0~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 11 Aug 2019 08:11:30 -0700

opencpn-plugin-plots (2.2.4-0~disco1) disco; urgency=low

  * Version 2.2.4

 -- Dave Register <bdbcat@yahoo.com>  Sun, 26 May 2019 23:45:36 -0400

opencpn-plugin-plots (2.2.3-0~cosmic1) cosmic; urgency=low

  * Version 2.2.3

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:18:59 -0400

opencpn-plugin-plots (2.2.3-0~bionic1) bionic; urgency=low

  * Version 2.2.3

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:18:59 -0400

opencpn-plugin-plots (2.2.3-0~xenial1) xenial; urgency=low

  * Version 2.2.3

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:18:59 -0400

opencpn-plugin-plots (2.2.3-0~trusty1) trusty; urgency=low

  * Version 2.2.3

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 20:18:59 -0400

opencpn-plugin-plots (2.2.2-0~cosmic1) cosmic; urgency=low

  * Version 2.2.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 11:33:43 -0400

opencpn-plugin-plots (2.2.2-0~bionic1) bionic; urgency=low

  * Version 2.2.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 11:33:43 -0400

opencpn-plugin-plots (2.2.2-0~xenial1) xenial; urgency=low

  * Version 2.2.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 11:33:43 -0400

opencpn-plugin-plots (2.2.2-0~trusty1) trusty; urgency=low

  * Version 2.2.2

 -- Dave Register <bdbcat@yahoo.com>  Wed, 22 May 2019 11:33:43 -0400

=== debian/control ===
Source: opencpn-plugin-plots
Section: misc
Priority: extra
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: David Register <bdbcat@yahoo.com>
Build-Depends: debhelper (>= 10), cmake, cdbs, libgtk2.0-dev, gettext, gpsd, gpsd-clients, 
	libgps-dev, wx-common (>= 3.0.2), libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, 
	libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libsdl1.2debian, 
	libportaudio2, portaudio19-dev
Standards-Version: 3.9.3
Homepage: http://www.opencpn.org
#Vcs-Git: git://git.debian.org/collab-maint/opencpn.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/opencpn.git;a=summary

Package: opencpn-plugin-plots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, wx3.0-i18n (>= 3.0.2), opencpn (>= 4.8.2)
Description: Plugin for OpenCPN
 OpenCPN is a free software (GPLv2) project to create a concise chartplotter and navigation software for use as an underway or planning tool.  OpenCPN is developed by a team of active sailors using real world conditions for program testing and refinement.
